pcl::outofcore Namespace Reference

## Classes

class | OutofcoreAbstractMetadata
class | OutofcoreAbstractNodeContainer
class | OutofcoreBreadthFirstIterator
class | OutofcoreDepthFirstIterator
class | OutofcoreIteratorBase
| Abstract octree iterator class. More...
class | OutofcoreOctreeBase
| This code defines the octree used for point storage at Urban Robotics. More...
class | OutofcoreOctreeBaseMetadata
| Encapsulated class to read JSON metadata into memory, and write the JSON metadata associated with the octree root node. More...
class | OutofcoreOctreeBaseNode
| OutofcoreOctreeBaseNode Class internally representing nodes of an outofcore octree, with accessors to its data via the pcl::outofcore::OutofcoreOctreeDiskContainer class or pcl::outofcore::OutofcoreOctreeRamContainer class, whichever it is templated against. More...
class | OutofcoreOctreeDiskContainer
| Class responsible for serialization and deserialization of out of core point data. More...
class | OutofcoreOctreeNodeMetadata
| Encapsulated class to read JSON metadata into memory, and write the JSON metadata for each node. More...
class | OutofcoreOctreeRamContainer
| Storage container class which the outofcore octree base is templated against. More...
struct | OutofcoreParams

## Functions

template<typename ContainerT , typename PointT >
bool | pointInBoundingBox (const Eigen::Vector3d &min_bb, const Eigen::Vector3d &max_bb, const Eigen::Vector3d &point)
template<typename ContainerT , typename PointT >
OutofcoreOctreeBaseNode< ContainerT, PointT > * | makenode_norec (const boost::filesystem::path &path, OutofcoreOctreeBaseNode< ContainerT, PointT > *super)
| Non-class function which creates a single child leaf; used with queryBBIntersects_noload to avoid loading the data from disk. More...
template<typename ContainerT , typename PointT >
void | queryBBIntersects_noload (const boost::filesystem::path &root_node, const Eigen::Vector3d &min, const Eigen::Vector3d &max, const boost::uint32_t query_depth, std::list< std::string > &bin_name)
| Non-class method which performs a bounding box query without loading any of the point cloud data from disk. More...
template<typename ContainerT , typename PointT >
void | queryBBIntersects_noload (OutofcoreOctreeBaseNode< ContainerT, PointT > *current, const Eigen::Vector3d &, const Eigen::Vector3d &max, const boost::uint32_t query_depth, std::list< std::string > &bin_name)
| Non-class method overload. More...

## Variables

template<typename PointT >
boost::uuids::random_generator OutofcoreOctreeDiskContainer< PointT >::uuid_gen_ & | rand_gen_

## Function Documentation

## makenode_norec()

template<typename ContainerT , typename PointT >

OutofcoreOctreeBaseNode<ContainerT, PointT>* pcl::outofcore::makenode_norec | ( | const boost::filesystem::path & | path,
|  | OutofcoreOctreeBaseNode< ContainerT, PointT > * | super
| ) |  |

Non-class function which creates a single child leaf; used with queryBBIntersects_noload to avoid loading the data from disk.

## pointInBoundingBox()

template<typename ContainerT , typename PointT >

bool pcl::outofcore::pointInBoundingBox | ( | const Eigen::Vector3d & | min_bb,
|  | const Eigen::Vector3d & | max_bb,
|  | const Eigen::Vector3d & | point
| ) |  |

Definition at line 926 of file octree_base_node.hpp.

## queryBBIntersects_noload() [1/2]

template<typename ContainerT , typename PointT >

void pcl::outofcore::queryBBIntersects_noload | ( | const boost::filesystem::path & | root_node,
|  | const Eigen::Vector3d & | min,
|  | const Eigen::Vector3d & | max,
|  | const boost::uint32_t | query_depth,
|  | std::list< std::string > & | bin_name
| ) |  |

Non-class method which performs a bounding box query without loading any of the point cloud data from disk.

## queryBBIntersects_noload() [2/2]

template<typename ContainerT , typename PointT >

void pcl::outofcore::queryBBIntersects_noload | ( | OutofcoreOctreeBaseNode< ContainerT, PointT > * | current,
|  | const Eigen::Vector3d & | ,
|  | const Eigen::Vector3d & | max,
|  | const boost::uint32_t | query_depth,
|  | std::list< std::string > & | bin_name
| ) |  |

Non-class method overload.

## Variable Documentation

## rand_gen_

template<typename PointT >

boost::uuids::random_generator OutofcoreOctreeDiskContainer<PointT>::uuid_gen_& pcl::outofcore::rand_gen_

Definition at line 77 of file octree_disk_container.hpp.

Referenced by pcl::outofcore::OutofcoreOctreeRamContainer< PointT >::readRangeSubSample().